package org.fabric3.fabric.assembly.normalizer;

import org.fabric3.spi.model.instance.LogicalComponent;

/**
 * Merges binding and other metadata on promoted services and references down the to leaf component they are initially
 * defined on.
 *
 * @version $Rev: 59 $ $Date: 2007-05-19 08:21:09 +0100 (Sat, 19 May 2007) $
 */
public interface PromotionNormalizer {

    /**
     * Performs the normalization operation on services and references defined by the given leaf component. The
     * hierarchy of containing components will be walked to determine the set of promoted services and references.
     *
     * @param component the leaf component
     */
    void normalize(LogicalComponent<?> component);

}
