/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.fabric.assembly.resolver;

import java.net.URI;

/**
 * Exception indicating that the target specified in a component reference could not be found.
 *
 * @version $Rev: 2155 $ $Date: 2007-12-02 16:37:17 +0000 (Sun, 02 Dec 2007) $
 */
public class ComponentReferenceTargetNotFoundException extends ResolutionException {

    public ComponentReferenceTargetNotFoundException(URI source, URI target) {
        super(source, target);
    }

    public String getMessage() {
        return "The reference " + getSource().getFragment() + " specifies a target " + getTarget() + " which could not be resolved to a component service";
    }
}