/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.fabric.generator;

import org.fabric3.spi.generator.GeneratorContext;
import org.fabric3.spi.model.physical.PhysicalChangeSet;
import org.fabric3.spi.command.CommandSet;

/**
 * The default implementation of a GeneratorContext
 *
 * @version $Rev: 114 $ $Date: 2007-05-26 19:53:16 +0100 (Sat, 26 May 2007) $
 */
public class DefaultGeneratorContext implements GeneratorContext {
    private PhysicalChangeSet changeSet;
    private CommandSet commandSet;

    public DefaultGeneratorContext(PhysicalChangeSet changeSet, CommandSet commandSet) {
        this.changeSet = changeSet;
        this.commandSet = commandSet;
    }

    public PhysicalChangeSet getPhysicalChangeSet() {
        return changeSet;
    }

    public CommandSet getCommandSet() {
        return commandSet;
    }
}
